Method: projects.locations.auditSchedules.get

Gets details of a single audit schedule.

HTTP request

GET https://auditmanager.googleapis.com/v1/{name=projects/*/locations/*/auditSchedules/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Name of the audit schedule to retrieve, in one of the following formats:

  • projects/{project}/locations/{location}/auditSchedules/{auditSchedule}
  • folders/{folder}/locations/{location}/auditSchedules/{auditSchedule}
  • organizations/{organization}/locations/{location}/auditSchedules/{auditSchedule}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of AuditSchedule.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-auditmanager

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • auditmanager.auditSchedules.get

For more information, see the IAM documentation.